# Uses of Interface
org.eclipse.net4j.db.ddl.delta.IDBSchemaDelta

Packages that use IDBSchemaDelta
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.

## Uses of IDBSchemaDelta in org.eclipse.net4j.db

Methods in org.eclipse.net4j.db that return IDBSchemaDelta
Modifier and Type
Method
Description
`IDBSchemaDelta`
IDBSchemaTransaction.`commit()`
`IDBSchemaDelta`
IDBSchemaTransaction.`ensureSchema(IDBSchema schema)`
`IDBSchemaDelta`
IDBSchemaTransaction.`ensureSchema(IDBSchema schema, IDBDeltaVisitor.Filter.Policy policy)`
`IDBSchemaDelta`
IDBDatabase.SchemaChangedEvent.`getSchemaDelta()`
`IDBSchemaDelta`
IDBSchemaTransaction.`getSchemaDelta()`
Methods in org.eclipse.net4j.db with parameters of type IDBSchemaDelta
Modifier and Type
Method
Description
`void`
IDBAdapter.`updateSchema(Connection connection, IDBSchema schema, IDBSchemaDelta delta)`

## Uses of IDBSchemaDelta in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that return IDBSchemaDelta
Modifier and Type
Method
Description
`IDBSchemaDelta`
IDBSchema.`compare(IDBSchema oldSchema)`

## Uses of IDBSchemaDelta in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBSchemaDelta
Modifier and Type
Method
Description
`IDBSchemaDelta`
IDBTableDelta.`getParent()`
`final IDBSchemaDelta`
IDBDeltaVisitor.Copier.`getResult()`
`IDBSchemaDelta`
IDBDelta.`getSchemaDelta()`
Methods in org.eclipse.net4j.db.ddl.delta with parameters of type IDBSchemaDelta
Modifier and Type
Method
Description
`protected void`
IDBDeltaVisitor.Default.`added(IDBSchemaDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`added(IDBSchemaDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`changed(IDBSchemaDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`changed(IDBSchemaDelta delta)`
`protected void`
IDBDeltaVisitor.Copier.`doVisit(IDBSchemaDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`doVisit(IDBSchemaDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`removed(IDBSchemaDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`removed(IDBSchemaDelta delta)`
`void`
IDBDeltaVisitor.Default.`visit(IDBSchemaDelta delta)`
`void`
IDBDeltaVisitor.`visit(IDBSchemaDelta delta)`

## Uses of IDBSchemaDelta in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db with parameters of type IDBSchemaDelta
Modifier and Type
Method
Description
`void`
DBAdapter.`updateSchema(Connection connection, IDBSchema schema, IDBSchemaDelta delta)`